# Uses of Class
org.apache.lucene.util.LongsRef

Packages that use LongsRef
Package
Description
org.apache.lucene.util
Some utility classes.
org.apache.lucene.util.packed
Packed integer arrays and streams.

- ## Uses of LongsRef in org.apache.lucene.util

  Methods in org.apache.lucene.util that return LongsRef
  Modifier and Type
  Method
  Description
  `LongsRef`
  LongsRef.`clone()`
  Returns a shallow clone of this instance (the underlying longs are not copied and will be shared by both the returned object and this object.
  `static LongsRef`
  LongsRef.`deepCopyOf(LongsRef other)`
  Creates a new LongsRef that points to a copy of the longs from `other`
  Methods in org.apache.lucene.util with parameters of type LongsRef
  Modifier and Type
  Method
  Description
  `int`
  LongsRef.`compareTo(LongsRef other)`
  Signed int order comparison
  `static LongsRef`
  LongsRef.`deepCopyOf(LongsRef other)`
  Creates a new LongsRef that points to a copy of the longs from `other`
  `boolean`
  LongsRef.`longsEquals(LongsRef other)`

- ## Uses of LongsRef in org.apache.lucene.util.packed

  Methods in org.apache.lucene.util.packed that return LongsRef
  Modifier and Type
  Method
  Description
  `LongsRef`
  BlockPackedReaderIterator.`next(int count)`
  Read between `1` and `count` values.
  `LongsRef`
  PackedInts.ReaderIterator.`next(int count)`
  Returns at least 1 and at most `count` next values, the returned ref MUST NOT be modified